package ca.recrown.islandsurvivalcraft.pathfinding;

public interface CoordinateTargetValidatable {
    /**
     * Is the current coordinate the objective?
     * @param x the x of the coordinate.
     * @param y the y of the coordinate.
     * @return true if this is the objective coordinate.
     */
    public boolean isCoordinateTarget(int x, int y);
}